<?php 
error_reporting(0);
ini_set(“display_errors”, 0);
include "protege_professor.php";


$idusuario = $_SESSION['id_usuario'];

// echo '<pre>';
// print_r ($_SESSION);
// echo '<pre>';

// echo "esse é o user ".$idusuario;


$crm_status		   = $_POST["nome_status"];
$crm_cor		   = $_POST['cadcor'];
$crm_dias		   = $_POST['timerd'];
$crm_horas		   = $_POST['timert'];
$crm_arquivo	   = $_POST["status"];
$crm_pontos 	   = $_POST["pts"];

include "conexao.php";
 if(isset($_GET["edit"])){ 

 	
$idd = $_GET["edit"];

 		$inserir = ("UPDATE crm_status SET
	crm_status = '$crm_status',    
	crm_cor = '$crm_cor',    
	crm_diasatt = '$crm_dias',    
	crm_horasatt = '$crm_horas',
	crm_pontostatus = '$crm_pontos'
	WHERE crm_idstatus = $idd
");

 		$deletar = ("DELETE FROM crm_statusvinculo WHERE crm_idstatus = $idd") OR die("Não foi possível deletar da tabela");
       mysqli_query($db, $deletar);

      



                    foreach ($crm_arquivo as $idant) {
                    	$inserir2 = ("INSERT INTO crm_statusvinculo (
                    		crm_idstatus,
                    		crm_idant
                    	)
                    	values (
                    	'$idd',
                    	'$idant'
                    )
                    ");

                    	mysqli_query($db, $inserir2);
                    	

                    }


                    $locationn = '"crm_cadstatus.php?edt=2"';




 	} else {

 		$inserir = ("INSERT INTO crm_status (
	crm_status,
	crm_cor,
	crm_diasatt,
	crm_horasatt,
	crm_pontostatus
)
values (
'$crm_status',
'$crm_cor',
'$crm_dias',
'$crm_horas',
'$crm_pontos'
)
");




 	$locationn = '"crm_cadstatus.php?cad=1"'; }

 	date_default_timezone_set('America/Sao_Paulo');              
                    $data_log = date('d-m-Y H:i:s');         // data e hr no momento
                    $nome_usuario = nome_user($idusuario); //nome usuario sessao
                    $usuario_id = $idusuario;              
                    $descricao_log = "Usuário ".$nome_usuario ." cadastrou um novo status : ".$crm_status;
                    grava_log($data_log,$usuario_id,$descricao_log);
                   //echo "cheguei aqui...;".$descricao_log; die();

//execução da query do mysql para inserção no banco!
//$executa_query = mysqli_query ($db,$inserir);

//#########################################  Funcoes Grava Log   #############################################

function nome_user($id){
            include "conexao.php";
                 $query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";

                 $executa_igpm = mysqli_query ($db, $query_igpm);


                   while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos

                          $nome_cli        = $buscar_amigoc['nome_cli'];
                   }
                   return $nome_cli;

         } 


        function grava_log($data_log,$usuario_id,$descricao_log){
           include "conexao.php";
          
                $query_log = "insert into log (data_log,usuario_id,descricao_log) values('$data_log','$usuario_id','$descricao_log')";
                $executa_log = mysqli_query($db, $query_log);
                return 1;
        }

					

//######################################### " FIM " Funcoes Grava Log   ######################################



//mensagem de confirmação de envio do formulário!
if(@mysqli_query($db,$inserir)){

if(!isset($_GET["edit"])){
	


	$ultimo_id = mysqli_insert_id($db);
 
	$deletar2 = ("DELETE FROM crm_statusvinculo WHERE crm_idstatus = $ultimo_id") OR die("Não foi possível deletar da tabela");
       mysqli_query($db, $deletar2);

       foreach ($crm_arquivo as $idant) {
       	$inserir3 = ("INSERT INTO crm_statusvinculo (
       		crm_idstatus,
       		crm_idant
       		)
       		values (
       		'$ultimo_id',
       		'$idant'
       		)
       		");

       	mysqli_query($db, $inserir3);

       
                }
}

//echo '<script>alert("Dados cadastrados!");</script>';
	?>

	<script>
		window.location= <?php echo $locationn ?>;
	</script>

	<?php
}else{

	echo '<script>alert("Não foi possível cadastrar!");</script>';

}

?>
<!--<script>
 window.location="crm_leadform.php?cad=ok";
</script>-->

